export declare const PATTERNS_DELIMITER = ",";
export declare const MATCH_ALL_ITEM = "*";
export declare const EXCLUSION_SIGN = "!";
export declare type PathLinuxRelative = string;
export declare type MatchedPattern = {
    match: boolean;
    excluded: boolean;
    maxSpecificity: number;
};
export declare type MatchedPatternWithConfig = {
    config: Record<string, any>;
    specificity: number;
};
export declare type MatchedPatternItem = {
    match: boolean;
    specificity: number;
};
export declare type MatchedPatternItemWithExclude = MatchedPatternItem & {
    excluded: boolean;
};
export declare function sortMatchesBySpecificity(matches: MatchedPatternWithConfig[]): MatchedPatternWithConfig[];
export declare function isMatchPattern(rootDir: PathLinuxRelative, componentName: string, pattern: string): MatchedPattern;
export declare function isMatchPatternItem(rootDir: PathLinuxRelative, componentName: string, patternItem: string): MatchedPatternItemWithExclude;
export declare function isMatchDirPatternItem(rootDir: PathLinuxRelative, patternItem: string): MatchedPatternItem;
export declare function isMatchNamespacePatternItem(componentName: string, patternItem: string): MatchedPatternItem;
